Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Ctors | Methods | Inherited Methods | [Expand All]
public static abstract class

# Cast.Listener

extends Object

java.lang.Object
↳ | com.google.android.gms.cast.Cast.Listener

## Class Overview

The interface for `Cast` callbacks. These callbacks may get called at any time, when connected to a Cast device.

## Summary

Public Constructors
| Cast.Listener()

Public Methods
void | onApplicationDisconnected(int statusCode) Called when the connection to the receiver application has been lost, such as when another client has launched a new application.
void | onApplicationStatusChanged() Called when the status of the connected application has changed.
void | onVolumeChanged() Called when the device's volume or mute state has changed.

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

## Public Constructors

#### public Cast.Listener ()

## Public Methods

#### public void onApplicationDisconnected (int statusCode)

Called when the connection to the receiver application has been lost, such as when another client has launched a new application.

##### Parameters

statusCode | A status code indicating the reason for the disconnect. One of the error constants defined in `CastStatusCodes`.

#### public void onApplicationStatusChanged ()

Called when the status of the connected application has changed.

#### public void onVolumeChanged ()

Called when the device's volume or mute state has changed.